Article ID: 122681, created on Aug 19, 2014, last review on Aug 19, 2014

  • Applies to:
  • Business Automation 5.5

Symptoms

After PBA upgrade to 5.5, configure.pl fails with the below error:

Could not run ./patcher.pl at C:\Program Files\Parallels\PBA\tools\configure.pl line 99.
Patch C:/Program Files/Parallels/PBA/db/KAGATE/upgrade/bm5_5_000_056/100-upgrade.pl did not return true value
DBD::ODBC::db do failed: [Microsoft][ODBC SQL Server Driver][SQL Server]The constraint 'LicClass_PK' is being referenced by table 'LicenseST', foreign key constraint 'LicenseST_KeyTypeID'. (SQL-42000)
[Microsoft][ODBC SQL Server Driver][SQL Server]Could not drop constraint. See previous errors. (SQL-42000) at C:/Program Files/Parallels/PBA/tools/db.pm line 418.

Cause

Table "LicenseST" has not been dropped during earlier update to PBA 4.4 update 5.

Resolution

Drop table "LicenseST" in PBA database manually, and re-run "configure.pl" script.

801221f8cd76fba7300d1e6817c8e08b caea8340e2d186a540518d08602aa065 198398b282069eaf2d94a6af87dcb3ff 92711db0799e8aefe8e51f12dace0496 e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF